'use strict';
define([
  'angular',

  'widgets/mapapp/versionlib/directives/toolbarversionlib',
  'widgets/mapapp/versionlib/services/VersionFactory',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, toolbarversionlib, VersionFactory) {
  // generation du module
  var versionlib = angular.module('gc_versionlib', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);

  //directives

  versionlib.directive('toolbarversionlib', toolbarversionlib);
  versionlib.factory('VersionFactory', VersionFactory);

  return versionlib;
});
